Do NOT update Servers to 10.8.1

Discussion in 'OS X Mountain Lion (10.8)' started by spookfx, Aug 23, 2012.

  1. spookfx macrumors newbie

    Feb 16, 2011
    :confused: HELP!!!!

    Just updated a ML Server to 10.8.1 and now when I launch the server app I get
    "Server requires OS X 10.8. The server you’re trying to connect to is not running OS X 10.8. Install OS X 10.8 on the server and try again."

    Oh dear Apple... Are you sleeping?
  2. Macman45 macrumors G5


    Jul 29, 2011
    Somewhere Back In The Long Ago
    They have also made a mess of Terminal too....Didn't "fix" anything as far as I can tell...Can't report on battery life yet, but am going to cycle my MBA and MBP and see what I get.
  3. Tekchef macrumors newbie

    Mar 20, 2012
    Cant login to Server app after 10.8.1 Update

    I have the same problem. I updated yesterday and just now tree to login to the server app and get the same msg. I sure hope Apple is working on this because i need control of my server back very soon. I dont want to TM back but i can if i need too.
  4. jmxp69 macrumors 6502

    Dec 10, 2008
    Thanks for sharing. FYI: As as a matter of practice I don't upgrade my server for a minimum of four weeks after an update for this exact reason. I like to wait and see what breaks. 10.8.1 didn't look like it would fix anything my server needed fixed anyway.

    Anyway, thanks again for posting.
  5. Tekchef macrumors newbie

    Mar 20, 2012
    Ya I know. I used to do that with Windows server and stay 2 or 3 behind but I didn't think I would need to do that with Mac.
  6. paul117, Aug 25, 2012
    Last edited: Aug 25, 2012

    paul117 macrumors regular

    Feb 17, 2012
    since updateing my mac mini server to 10.8 i have been getting OSX Server app in the app store showing up as an update... up until today it would always fail to install saying that server app is already installed.... as off 10 minutes ago the update installed for me.... only issue now is terminal.... i run a command and it gives me this error:

    [ERROR]<CPPathUtils.c:526>The device-file for this operating system, 'osx-12.1.0.xml', was not found. An attempt to revert to a previous revision of the OS device-file: 'osx-12.0.0.xml' has been made. Please file a Radar report with Apple, on the 'CoreProfile' component, version 'X'.

    but commends do run.....
    i get the same error on my macbook pro without

    ive noticed that my build version of the server app changed from 2.0.21? GM Build to 2.0.23
  7. Tekchef macrumors newbie

    Mar 20, 2012
    ML Server 10.8.1 update

    Thanks for the idea Paul117,

    I looked at the app store to see if there was an update and there was not.

    It did show a new download for the Server app so i did and it replaced the old with the new and all is well now.
    it is on 2.0.23

    btw to all that are saying thats a reckless thing to do your right. I can do it because the server is not in production and is just a toy.

    Also Terminal is working with no problems.
  8. SandboxGeneral Moderator emeritus


    Sep 8, 2010
    Orbiting a G-type Main Sequence Star
    What happened to Terminal?
  9. ThatGreekMacGuy macrumors member


    Jul 12, 2012
    Sparta, Greece
    I know these are some really big issues but be patient. We all had some problems with ML, but we should be glad cuz ML brought back the "snappiness" of SL.

Share This Page